> For the complete documentation index, see [llms.txt](https://docs.feast.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feast.dev/master/reference/registries/metadata.md).

# Metadata

## Description

The metadata info of Feast `feature_store.yaml` is:

| Key                                                | Required | Value Type | Definition                                                                                                                    |
| -------------------------------------------------- | -------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------- |
| project                                            | Y        | string     | name of the project                                                                                                           |
| provider                                           | N        | string     |                                                                                                                               |
| registry                                           | Y        | NA         | definition of registry                                                                                                        |
| registry.path                                      | Y        | string     | URI of storing registry data                                                                                                  |
| registry.cache\_ttl\_seconds                       | N        | integer    |                                                                                                                               |
| registry.registry\_type                            | N        | string     | type of registry server                                                                                                       |
| registry.sqlalchemy\_config\_kwargs                | N        | NA         | kwargs configuration for sql registry server                                                                                  |
| registry.account                                   | N        | string     | cloud account type                                                                                                            |
| registry.user                                      | N        | string     | cloud login account                                                                                                           |
| registry.password                                  | N        | string     | cloud login password                                                                                                          |
| registry.role                                      | N        | string     | cloud login account role                                                                                                      |
| registry.warehouse                                 | N        | string     | snowflake warehouse name                                                                                                      |
| registry.database                                  | N        | string     | snowflake db name                                                                                                             |
| registry.schema                                    | N        | string     | snowflake schema name                                                                                                         |
| registry.enable\_online\_feature\_view\_versioning | N        | boolean    | enable versioned online store tables and version-qualified reads (default: false). Version history tracking is always active. |
| online\_store                                      | Y        |            |                                                                                                                               |
| offline\_store                                     | Y        | NA         |                                                                                                                               |
| offline\_store.type                                | Y        | string     | storage type                                                                                                                  |
| entity\_key\_serialization\_version                | N        | string     |                                                                                                                               |
| feature\_server                                    | N        | NA         | config of feature server                                                                                                      |
| feature\_server.transformation\_service\_endpoint  | N        | string     | python transformation server endpoint for Go feature server                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feast.dev/master/reference/registries/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
